Subject: RGB-connection question??
From: [email-masked] (eugene welcome)
Date: Fri, 09 Dec 1994 06:15:34 GMT
Newsgroups: comp.sys.apple2

>Hello, I have a friend with an Apple 2c+. I asked me what the pin
>configuration is,but I honestly have no idea.

Hi Joe: Here is what I have on the IIc and Laser128 as they were the
same. I took this from a larger posting that shows all the Apple II
series Serial connectors from DB25 to the newer Mini-Din8 connectors
plus their signal identifications. This happens to include the IIgs
RGB but not the IIe RGB info I am presently tracking down to update
this part of my file. If anyone is interested I can post the entire
serial connectors with pin outs.  Gene. K7EEK
[email-masked]

                     Apple RGB Connections

The RGB port on the IIgs has the following output: This is not the
same for the Apple IIe. I do not have info on the IIe RGB port and do
not know if the IIc RGB port is the same.
          The Apple IIc and Laser 128 are also shown.

 Apple IIgs RGB                Apple IIc and Laser-128 RGB
 Pin     Signal                    Pin      Signal
 ===     ======                    ===      ======
  1   Ground                        1   Intensity signal
  2   Red analog video              2   F14M - 14 MHz
  3   Composite sync                3   Red - signal
  4   Not connected                 4   Blue - signal
  5   Green analog video            5   Spkr sound output
  6   Ground                        6   Load Pulse for LCD
  7   -5 volts                      7   Dispen for LCD
  8   +12 volts                     8   +12 volts DC
  9   Blue analog video             9   Horizontal Sync Signal
 10   Not connected                10   Composite Video Sync Signal
 11   Sound                        11   Serial out - Data for LCD
 12   Composite video (NTSC, PAL,  12   Composite Video Output
        or SECAM )                 13   Ground
 13   Ground                       14   Vertical Sync Signal
 14   Not connected                15   Green - Signal
 15   Not connected            Note  LCD = Liquid Crystal Display
======================================================================

             Female DB-15. Chassis Connector

    8 7 6 5 4 3 2 1             1 2 3 4 5 6 7 8
   _________________           _________________
  ( O O O O O O O O )         ( O O O O O O O O )
   \_O_O_O_O_O_O_O_/           \_O_O_O_O_O_O_O_/

     1 1 1 1 1 1 0               0 1 1 1 1 1 1
     5 4 3 2 1 0 9               9 0 1 2 3 4 5
      Socket View                Soldered End
====================================================
            Male DB-15. Cable Connector

    1 2 3 4 5 6 7 8             8 7 6 5 4 3 2 1
   _________________           _________________
  ( o o o o o o o o )         ( O O O O O O O O )
   \_o_o_o_o_o_o_o_/           \_O_O_O_O_O_O_O_/

     0 1 1 1 1 1 1               1 1 1 1 1 1 0
     9 0 1 2 3 4 5               5 4 3 2 1 0 9
       Pin View                  Soldered End
Newsgroups: comp.sys.apple2
Path: blue.weeg.uiowa.edu!news.uiowa.edu!hobbes.physics.uiowa.edu!math.ohio-state.edu!howland.reston.ans.net!wupost!waikato!comp.vuw.ac.nz!actrix.gen.nz!dempson
From: [email-masked] (David Empson)
Subject: Re: RGB-connection question???
Message-ID: <[email-masked]>
Nntp-Posting-Host: atlantis.actrix.gen.nz
Sender: [email-masked] (News Administrator)
Organization: Actrix - New Zealand Internet Service Providers
Date: Fri, 9 Dec 1994 12:11:35 GMT
References: <[email-masked]>
Lines: 25

In article <[email-masked]>,
Joseph Turner <[email-masked]> wrote:
>   Hello, I have a friend with an Apple 2c+. I asked me what the pin 
> configuration is,but I honestly have no idea. Is there anyone who help us 
> to determine the pin configuration? ANY help will be appreciated. 

First, I should correct a misconception: the video port on the back of
the IIc+ is _not_ an RGB port.  It is a video expansion port, which
provides all of the internal video generation signals used by the
IIc/IIc+ which can be used to generate an alternative video output signal.

To produce RGB output (or anything else) from this port, you need an
external adaptor box which generates the appropriate video signals.

I believe there is (or was) an RGB output adaptor for the IIc, which
should also work on the IIc+.

This adaptor is not simple: it has to decode the colour information
from the NTSC video signal (or generate it by detecting the graphics
mode and monitoring bit patterns), generate appropriate sync signals,
etc.
-- 
David Empson
[email-masked]
Snail mail: P.O. Box 27-103, Wellington, New Zealand
Newsgroups: comp.sys.apple2
Path: blue.weeg.uiowa.edu!news.uiowa.edu!uunet!gatech!howland.reston.ans.net!wupost!waikato!comp.vuw.ac.nz!actrix.gen.nz!dempson
From: [email-masked] (David Empson)
Subject: Re: RGB-connection question??
Message-ID: <[email-masked]>
Nntp-Posting-Host: atlantis.actrix.gen.nz
Sender: [email-masked] (News Administrator)
Organization: Actrix - New Zealand Internet Service Providers
Date: Fri, 9 Dec 1994 12:42:56 GMT
References: <[email-masked]>
Lines: 73

In article <[email-masked]>,
eugene welcome <[email-masked]> wrote:
> >Hello, I have a friend with an Apple 2c+. I asked me what the pin
> >configuration is,but I honestly have no idea.
> 
> Hi Joe: Here is what I have on the IIc and Laser128 as they were the
> same.  [snip]

The information in your post about the IIc video port is WRONG!

It may be correct for the Laser 128.  The IIc's video port has a set
of internal signals.  The pins listed here might be correct for an RGB
adaptor attached to the IIc video port, but the video port itself does
NOT have any of the signals expected by an RGB monitor (they have to be
generated by an adaptor).

The following table (from your post) is correct for the IIgs, but most
of the listed signals for the IIc are wrong.

>  Apple IIgs RGB                Apple IIc and Laser-128 RGB
>  Pin     Signal                    Pin      Signal
>  ===     ======                    ===      ======
>   1   Ground                        1   Intensity signal
>   2   Red analog video              2   F14M - 14 MHz
>   3   Composite sync                3   Red - signal
>   4   Not connected                 4   Blue - signal
>   5   Green analog video            5   Spkr sound output
>   6   Ground                        6   Load Pulse for LCD
>   7   -5 volts                      7   Dispen for LCD
>   8   +12 volts                     8   +12 volts DC
>   9   Blue analog video             9   Horizontal Sync Signal
>  10   Not connected                10   Composite Video Sync Signal
>  11   Sound                        11   Serial out - Data for LCD
>  12   Composite video (NTSC, PAL,  12   Composite Video Output
>         or SECAM )                 13   Ground
>  13   Ground                       14   Vertical Sync Signal
>  14   Not connected                15   Green - Signal
>  15   Not connected            Note  LCD = Liquid Crystal Display

The actual functions of the IIc video port are as follows:

1   TEXT     Indicates text mode is active (special function in DHR mode)
2   14M      14 MHz clock sigal
3   SYNC     Horizontal and vertical sync
4   SEGB     Vertical counter signal from IOU, or lo-res indication
5   1VSOUND  Sound output (one volt peak-to-peak)
6   LDPS     Video shift load enable
7   WNDW     Active area display blanking
8   +12V     +12 volts DC
9   PRAS     RAM row address strobe
10  GR       Graphics mode enable
11  SEROUT   Serialized character generator output
12  NTSC     Composite NTSC video output
13  GND      Ground reference
14  VIDD7    Bit 7 of video shift latch (for hires mode colour shifting)
15  CREF     Colour reference timing signal

These come from the IIc Technical Reference, both first and second
editions.

It is odd that your listing for the IIc is correct for some of the
signals, but has RGB outputs in place of the IIc's timing signals.

You cannot connect a monitor directly to the IIc video port (with the
possible exception of the the LCD display, or an NTSC monitor).  An
adaptor is required to generate the appropriate video signals for an
RGB monitor.
-- 
David Empson
[email-masked]
Snail mail: P.O. Box 27-103, Wellington, New Zealand